## NAME

v.in.geonames - Imports geonames.org country files into a vector points map.

## KEYWORDS

vector, import, gazetteer

## SYNOPSIS

v.in.geonames
v.in.geonames --help
v.in.geonames input=name output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of uncompressed geonames file (with .txt extension)
output=name [required]
  Name for output vector map

## DESCRIPTION

v.in.geonames imports Geonames.org country files (Gazetteer data) into a GRASS vector points map. The country files can be downloaded from the GeoNames Data Dump Server. Only original files can be processed (unzip compressed file first). These Geonames files are encoded in UTF-8 which is maintained in the GRASS database.

## NOTES

v.in.geonames calls v.in.ascii to import data into GRASS.

The current DB connection is used to write the database table (see db.connect). If importing into a DBF database, the original column names longer that 10 characters are shortened to 10 characters to meet the DBF column name restrictions. If this is a problem consider choosing another database driver with db.connect (eg. to SQLite driver).

The main 'geoname' table has the following fields

    geonameid         : integer id of record in geonames database
    name              : name of geographical point (utf8) varchar(200)
    asciiname         : name of geographical point in plain ascii characters, varchar(200)
    alternatenames    : alternatenames, comma separated varchar(4000)
    latitude          : latitude in decimal degrees (wgs84)
    longitude         : longitude in decimal degrees (wgs84)
    feature class     : see http://www.geonames.org/export/codes.html, char(1)
    feature code      : see http://www.geonames.org/export/codes.html, varchar(10)
    country code      : ISO-3166 2-letter country code, 2 characters
    cc2               : alternate country codes, comma separated, ISO-3166 2-letter country code, 60 characters
    admin1 code       : fipscode (subject to change to iso code), isocode for the us and ch, see file admin1Codes.txt for display names of this code; varchar(20)
    admin2 code       : code for the second administrative division, a county in the US, see file admin2Codes.txt; varchar(80)
    admin3 code       : code for third level administrative division, varchar(20)
    admin4 code       : code for fourth level administrative division, varchar(20)
    population        : integer
    elevation         : in meters, integer
    gtopo30           : average elevation of 30'x30' (ca 900mx900m) area in meters, integer
    timezone          : the timezone id (see file http://download.geonames.org/export/dump/timeZones.txt)
    modification date : date of last modification in yyyy-MM-dd format

## EXAMPLE

Download and import geonames for Czech Republic.

    wget http://download.geonames.org/export/dump/CZ.zip
    unzip CZ.zip

    v.in.geonames input=CZ.txt output=geonames_cz

## REFERENCES

- GeoNames Web site
- GeoNames Data Dump Server

## SEE ALSO

db.connect, v.in.ascii, v.select

## AUTHOR

Markus Neteler

## SOURCE CODE

Available at: v.in.geonames source code (history)

Latest change: Thursday Feb 03 11:10:06 2022 in commit: 547ff44e6aecfb4c9cbf6a4717fc14e521bec0be

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 8.2.1dev Reference Manual